org.deidentifier.arx.aggregates.classification

## Interface ClassificationResult

All Known Implementing Classes:
  MultiClassLogisticRegressionClassificationResult, MultiClassNaiveBayesClassificationResult, MultiClassRandomForestClassificationResult, MultiClassZeroRClassificationResult

    public interface ClassificationResult

A classification result

Author:
  Fabian Prasser

### Method Summary

All Methods Instance Methods Abstract Methods
`double[]` `confidences()` Returns the confidences for all class values
`boolean` `correct(java.lang.String clazz)` Returns whether the result is correct
`double` `error(java.lang.String clazz)` Returns the error
`int` `index()` Returns the index of the predicted value

### Method Detail

#### confidences

    double[] confidences()

Returns the confidences for all class values

Returns:

#### correct

    boolean correct(java.lang.String clazz)

Returns whether the result is correct

Parameters:
  `clazz` -
Returns:

#### error

    double error(java.lang.String clazz)

Returns the error

Parameters:
  `clazz` -
Returns:

#### index

    int index()

Returns the index of the predicted value

Returns: